---
apiVersion: v1
kind: Service
metadata:
  annotations:
    service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    service.beta.openshift.io/serving-cert-secret-name: ovn-node-metrics-cert
    service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
  creationTimestamp: "2025-10-27T11:30:01Z"
  labels:
    app: ovnkube-node
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:service.beta.openshift.io/serving-cert-secret-name: {}
        f:labels:
          f:app: {}
        f:ownerReferences:
          k:{"uid":"42934d21-bf48-4e6e-be5b-f538b0be0793"}: {}
      f:spec:
        f:clusterIP: {}
        f:ports:
          k:{"port":9103,"protocol":"TCP"}:
            .: {}
            f:name: {}
            f:port: {}
            f:protocol: {}
            f:targetPort: {}
          k:{"port":9105,"protocol":"TCP"}:
            .: {}
            f:name: {}
            f:port: {}
            f:protocol: {}
            f:targetPort: {}
        f:publishNotReadyAddresses: {}
        f:selector: {}
        f:sessionAffinity: {}
        f:type: {}
    manager: cluster-network-operator/operconfig
    operation: Apply
    time: "2025-10-27T11:30:01Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:service.alpha.openshift.io/serving-cert-signed-by: {}
          f:service.beta.openshift.io/serving-cert-signed-by: {}
    manager: service-ca-operator
    operation: Update
    time: "2025-10-27T11:31:22Z"
  name: ovn-kubernetes-node
  namespace: openshift-ovn-kubernetes
  ownerReferences:
  - apiVersion: operator.openshift.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: Network
    name: cluster
    uid: 42934d21-bf48-4e6e-be5b-f538b0be0793
  resourceVersion: "7866"
  uid: 96d4d80b-8429-4cc2-a3a4-643f8a01c169
spec:
  clusterIP: None
  clusterIPs:
  - None
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: metrics
    port: 9103
    protocol: TCP
    targetPort: 9103
  - name: ovn-metrics
    port: 9105
    protocol: TCP
    targetPort: 9105
  publishNotReadyAddresses: true
  selector:
    app: ovnkube-node
  sessionAffinity: None
  type: ClusterIP
status:
  loadBalancer: {}
